from conservation import *
import argparse


class Unbuffered(object):
   def __init__(self, stream):
       self.stream = stream
   def write(self, data):
       self.stream.write(data)
       self.stream.flush()
   def writelines(self, datas):
       self.stream.writelines(datas)
       self.stream.flush()
   def __getattr__(self, attr):
       return getattr(self.stream, attr)

parser = argparse.ArgumentParser()
parser.add_argument("-p",action="store",dest="Path",help="Base folder",required=True, type=str)
parser.add_argument("-o",action="store",dest="Output",help="Output path",required=False, type=str)
parser.add_argument("-l",action="store",dest="Hours",help="Number of hours",required=False, type=int)
#parser.add_argument("-f",action="store",dest="Filename",help="Name of the file in the directory",required=True, type=str)
parser.add_argument("-n",action="store",dest="Basename",help="Base name of the outputplot",required=True, type=str)
parser.add_argument("-r",action="store",dest="Releases",help="1 release is y, global is n",required=True, type=str)
parser.add_argument("-y",action="store",dest="Strat",help="Stratosphere (1) or troposphere (0)",required=True, type=int)
opt = parser.parse_args()

if opt.Output is None:
    opt.Output = opt.Path
if opt.Hours is None:
    opt.Hours = 48
rel=False
if opt.Releases=='y':
    rel=True
if opt.Strat==1:
    strat=True
else:
    strat=False

zrange=([
#    [1000,5000],
    [5000,10000],
    [10000,20000]])
#    [20000,30000],
#    [30000,40000],
#    [40000,50000]])


dirs=['output_eta_jan','output_meter_jan']
ldirect=[1,1]
#fnames=[opt.Filename]*len(dirs)
lsall=['-','--',':','-.','-','--',':','-.']
labels=['Eta', 'Meter']
for i in range(len(zrange)):
    plot_conservation_properties(one_release=rel,
        basename=opt.Basename+'%i-%im' %(zrange[i][0],zrange[i][1]),
        dirs=dirs,labels=labels,interptopo=[True,True],
        basepath=opt.Path,outputpath=opt.Output,
        length=opt.Hours,ls=lsall,zrange=zrange[i],ldirect=ldirect)

