clear;
xet1_2 = 5.25 %days
lamda = log(2)/xet1_2
%Oahu = 21.5 N 158.0 W
%Yellowknife, N.W.T.* 62.5 N 114.5 W
%Ashland, KS * 37.2 N 99.8 Wnl
%Charlottesville, VA * 38.0 N 78.4 W
%St. John’s N.L.* 47.6 N 52.7 W
%Spitsbergen * 78.2 N 15.4 E
%Stockholm * 59.4 N 17.9 E
%Schauinsland/Freiburg * 47.9 N 7.9 E
%Ulaanbaatar * 47.9 N 106.3 E
%Ussuriysk * 44.2 N 132.0 E
%Wake Island * 19.3 N 166.6 E

stationslatlon = [21.5 -158.0; 62.5 -114.5;37.2 -99.8;38.0 -78.; 47.6  -52.7 ; 78.2  15.4; ...
    59.4 17.9; 47.9 7.9;47.9 106.3;44.2 132.0;19.3 166.6];
name_stations={'Oahu' 'Yellowknife' 'Ashland' 'Charlottesville' 'St. John' ....
    'Spitsbergen' 'Stockholm' 'Schauinsland' 'Ulaanbaatar' 'Ussuriysk' 'Wake Island'};
stationslatlonround = round(stationslatlon);
stationslatlonindex = round(stationslatlon(:,:)/2) + [45 90];



load 'C:\Users\mc\matlab_somecodes\coastfine';
xlim=[-180 180];
ylim=[-90 90];

QFLXplanetime=zeros(144,96);


%fn=['E:\run_fuku\new_runs\nogf_ratio001_uni\output\grid_conc_20110310150000.nc'];
%fn=['E:\run_fuku\new_runs\nogf_ratio0005_uni\output\grid_conc_20110310150000.nc'];
fn=['E:\run_fuku\new_runs\nogf_ratio_00062_uni\output\grid_conc_20110310150000.nc'];

filenameout= "E:\run_fuku\new_runs\processed_test\cs137_xcol_nogf_ratio00062_uni.dat";

ncdisp(fn);


LAT=double(squeeze(ncread(fn,'latitude')));
LON=double(squeeze(ncread(fn,'longitude')));
LEV=double(squeeze(ncread(fn,'height')));

QFLX=double(squeeze(ncread(fn,'spec001_mr')));

timesel=84; %
sumtime=3;  %
sumvert=4;  %do nto change first 600m: layer 1 is 100, 2 is 200, 3 is 400, 4 is 600
nlayers=6;  % 6 x 100m layers

QFLXplanetime=((squeeze(QFLX(:,:,1:sumvert,timesel:(timesel+sumtime-1)))));
QFLXplanetime=((squeeze(sum(QFLXplanetime,4))));
QFLXplanetime=QFLXplanetime/sumtime;

multiply = zeros(size(QFLXplanetime))+1; %weight 1 to first two layers (they are 100m)
multiply(:,:,3:4)=multiply(:,:,3:4)+1;   %weight 2 to layers 3 and 4   (they are 200m)
QFLXplanetime=QFLXplanetime.*multiply; 

QFLXplanetime=((squeeze(sum(QFLXplanetime,3))));
QFLXplanetime=QFLXplanetime/nlayers;    %average over 6 layers of 100m (600m)



QFLXplanetimer = QFLXplanetime;
LONr = LON;
LATr = LAT;

QFLXplanetimer = BlockMean(QFLXplanetime, 2, 2);

QFLXplanetime70p=QFLXplanetimer(:,71:90);
QFLXplanetime70pr=BlockMean(QFLXplanetime70p,2,1);
QFLXplanetimer(1:2:end,71:90)=QFLXplanetime70pr;
QFLXplanetimer(2:2:end,71:90)=QFLXplanetime70pr;


QFLXplanetime70m=QFLXplanetimer(:,1:20);
QFLXplanetime70mr=BlockMean(QFLXplanetime70m,2,1);
QFLXplanetimer(1:2:end,1:20)=QFLXplanetime70mr;
QFLXplanetimer(2:2:end,1:20)=QFLXplanetime70mr;


LONr = BlockMean(LON, 2, 1);
LATr = BlockMean(LAT, 2, 1);




figure(36)

colormap(load('C:\Users\mc\matlab_somecodes\special_colors.ctb'));



xlim=[-180 180];
ylim=[-90 90];
mcmax=(max(max(QFLXplanetimer))); 
mcmax = mcmax
mcmin=max((min(min(QFLXplanetimer))),mcmax/1000000);
edges=[log10(mcmin):(log10(mcmax)-log10(mcmin))/100:log10(mcmax)];


 
 [l1 l]=contourf(LONr,LATr,log10(QFLXplanetimer'),edges);
 shading interp;
 hold on
 %       plotm(lat,long,'k','linewidth',1.5);
  xlabel('Longitude');
  ylabel('Latitude');
  set(gca,'ygrid','on','ycolor',[0.5 0.5 0.5]);
  set(gca,'xgrid','on','xcolor',[0.5 0.5 0.5]);
 
  set(gca,'clim',[edges(1) edges(length(edges))]);
  set(gcf,'Renderer','painters');
 
  set(l,'linestyle','none');
  hold on
  plot(longfine,latfine,'k','LineWidth',0.5);
  
  set(gca,'fontsize',12,'xgrid','on','ygrid','on','gridlinestyle',':','layer','top');
  set(gca,'xlim',xlim,'ylim',ylim);%,'clim',[0 0.04]);
  cb=colorbar('horizontal');

  
  QFLXplanetimer_trasposta=QFLXplanetimer';
  for is=1:11 
  plot(stationslatlonround(is,2),stationslatlonround(is,1),'ro','MarkerSize',15);
  concstation(is)=QFLXplanetimer_trasposta(stationslatlonindex(is,1),stationslatlonindex(is,2));
  concstationtest(is)=QFLXplanetimer(stationslatlonindex(is,2),stationslatlonindex(is,1));  
  hold on;
  end
  
  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% estrazione serie temporali %%%%%%%%
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
  stationslatlonindex360=zeros(4,11,2);
  stationslatlonindex360(1,:,:) = round(stationslatlon(:,:) + [90 180]);
  stationslatlonindex360(2,:,:) = round(stationslatlon(:,:) + [91 180]);
  stationslatlonindex360(3,:,:) = round(stationslatlon(:,:) + [90 181]);
  stationslatlonindex360(4,:,:) = round(stationslatlon(:,:) + [91 181]);
  QFLXpoint_intime_day=zeros(4,11,92); %92 days
  
  time_inday=[1:1:92];
  
  for is=1:11 
      for iLL=1:4
  
  QFLXpoint_intime1=squeeze(QFLX(stationslatlonindex360(iLL,is,2),stationslatlonindex360(iLL,is,1),1:2,:));
  QFLXpoint_intime2=squeeze(QFLX(stationslatlonindex360(iLL,is,2),stationslatlonindex360(iLL,is,1),3:sumvert,:));
  QFLXpoint_intime2=QFLXpoint_intime2.*2; %double wiehgt because 200m layers
  QFLXpoint_intime=QFLXpoint_intime1+QFLXpoint_intime2
  
  QFLXpoint_intime_s =((squeeze(sum(QFLXpoint_intime,1))));
  QFLXpoint_intime_a = QFLXpoint_intime_s/nlayers;
  QFLXpoint_intime_day(iLL,is,:)=BlockMean(QFLXpoint_intime_a, 1, sumtime); 
      end
  end
  
  QFLXpoint_intime_day_sa = squeeze(sum(QFLXpoint_intime_day,1))/4; 
   
  figure(43)
  for is=1:11 
  semilogy(time_inday,squeeze(QFLXpoint_intime_day_sa(is,:)));
  hold on;
  end
  legend({char(name_stations(1)),char(name_stations(2)),char(name_stations(3)), ...
      char(name_stations(4)),char(name_stations(5)),char(name_stations(6)), ...
      char(name_stations(7)),char(name_stations(8)),char(name_stations(9)), ...
      char(name_stations(10)),char(name_stations(11))})
  
  
 
 
  frel = fopen(filenameout,'w');
  ncol=92;
  fmt = [repmat('%12.5E', 1, ncol - 1), '%12.5E\n'];
  for is=1:11 
      fprintf(frel,fmt,squeeze(QFLXpoint_intime_day_sa(is,:)));
  % 
  end
  
    
  
  
  %set(cb,'fontsize',12,'gridlinestyle','-');
  QFLXplanetime1=QFLXplanetime;
  LON1=LON;
  
  

